<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>heimdall</artifactId>
        <groupId>fr.jihad-oussad</groupId>
        <version>1.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <packaging>pom</packaging>
    <artifactId>report-test</artifactId>
    <description>Aggregate jacoco report for all Asgard api tests</description>

    <dependencies>
        <dependency>
            <groupId>${project.parent.groupId}</groupId>
            <artifactId>heimdall-api</artifactId>
            <version>${project.parent.version}</version>
            <type>war</type>
        </dependency>

        <dependency>
            <groupId>${project.parent.groupId}</groupId>
            <artifactId>heimdall-api-internal</artifactId>
            <version>${project.parent.version}</version>
            <type>war</type>
        </dependency>

        <dependency>
            <groupId>${project.parent.groupId}</groupId>
            <artifactId>heimdall-api-response</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <dependency>
            <groupId>${project.parent.groupId}</groupId>
            <artifactId>heimdall-client</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <dependency>
            <groupId>${project.parent.groupId}</groupId>
            <artifactId>heimdall-contract</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <dependency>
            <groupId>${project.parent.groupId}</groupId>
            <artifactId>heimdall-core</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <dependency>
            <groupId>${project.parent.groupId}</groupId>
            <artifactId>heimdall-provider</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <dependency>
            <groupId>${project.parent.groupId}</groupId>
            <artifactId>heimdall-security</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <dependency>
            <groupId>${project.parent.groupId}</groupId>
            <artifactId>heimdall-utils</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <id>report-aggregate</id>
                        <phase>verify</phase>
                        <goals>
                            <goal>report-aggregate</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>merge</id>
                        <phase>verify</phase>
                        <goals>
                            <goal>merge</goal>
                        </goals>
                        <configuration>
                            <fileSets>
                                <fileSet>
                                    <directory>../heimdall-api/target</directory>
                                    <include>*.exec</include>
                                </fileSet>
                                <fileSet>
                                    <directory>../heimdall-api-internal/target</directory>
                                    <include>*.exec</include>
                                </fileSet>
                                <fileSet>
                                    <directory>../heimdall-api-response/target</directory>
                                    <include>*.exec</include>
                                </fileSet>
                                <fileSet>
                                    <directory>../heimdall-client/target</directory>
                                    <include>*.exec</include>
                                </fileSet>
                                <fileSet>
                                    <directory>../heimdall-contract/target</directory>
                                    <include>*.exec</include>
                                </fileSet>
                                <fileSet>
                                    <directory>../heimdall-core/target</directory>
                                    <include>*.exec</include>
                                </fileSet>
                                <fileSet>
                                    <directory>../heimdall-provider/target</directory>
                                    <include>*.exec</include>
                                </fileSet>
                                <fileSet>
                                    <directory>../heimdall-security/target</directory>
                                    <include>*.exec</include>
                                </fileSet>
                                <fileSet>
                                    <directory>../heimdall-utils/target</directory>
                                    <include>*.exec</include>
                                </fileSet>
                            </fileSets>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>